Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class SaplingGrowTreeEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.world.WorldEvent
              net.minecraftforge.event.terraingen.SaplingGrowTreeEvent

    public class SaplingGrowTreeEvent

extends WorldEvent

This event is fired when a sapling grows a tree. You can set the result to DENY to prevent the default tree growth.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.world.WorldEvent
`WorldEvent.Load, WorldEvent.Save, WorldEvent.Unload`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`Random` | `rand`
`int` | `x`
`int` | `y`
`int` | `z`

Fields inherited from class net.minecraftforge.event.world.WorldEvent
`world`

Constructor Summary
`SaplingGrowTreeEvent(World world, Random rand, int x, int y, int z)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public final int x

### y

    public final int y

### z

    public final int z

### rand

    public final Random rand

Constructor Detail

### SaplingGrowTreeEvent

    public SaplingGrowTreeEvent(World world,
                                Random rand,
                                int x,
                                int y,
                                int z)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD